## dovecot 2.3.16+dfsg1

=== debian/changelog ===
dovecot (1:2.3.16+dfsg1-3ubuntu2.6) jammy; urgency=medium

  * Update PBKDF2 salt length to be FIPS 140-3 compliant (LP: #2107773).
    - d/p/fips-pbkdf2-fix-invalid-salt-length.patch
    - d/p/fix-leaking-virtual-mailbox.patch: removed patch,
      failed validation (LP: 1992848)

 -- Eric Berry <eric.berry@canonical.com>  Thu, 06 Nov 2025 12:28:40 +0100

dovecot (1:2.3.16+dfsg1-3ubuntu2.5) jammy; urgency=medium

  * Re-introduce fix from 1:2.3.16+dfsg1-3ubuntu2.3:
    - d/p/fix-leaking-virtual-mailbox.patch: Fix leak/crash when failing to
      open virtual mailboxes.
      (LP: #1992848)

 -- Bryce Harrington <bryce@canonical.com>  Tue, 22 Jul 2025 14:29:05 -0700

dovecot (1:2.3.16+dfsg1-3ubuntu2.3) jammy; urgency=medium

  * d/p/fix-leaking-virtual-mailbox.patch: Fix leak/crash when failing to
    open virtual mailboxes.
    (LP: #1992848)

 -- Michal Maloszewski <michal.maloszewski@canonical.com>  Thu, 20 Oct 2022 23:36:54 +0200
