## dovecot 2.3.19.1+dfsg1

=== debian/changelog ===
dovecot (1:2.3.19.1+dfsg1-2.1+deb12u1) bookworm-security; urgency=medium

  * Security team upload:
  * [4fb8905] Import upstream fix for CVE-2024-23184 (Closes: #1078876)
  * [f428c53] Import upstream fix for CVE-2024-23185 (Closes: #1078877)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 18 Aug 2024 10:25:33 -0400

dovecot (1:2.3.19.1+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * [b02ebc9] Don't use deprecated crypt module.
    (closes: #1028513)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Jan 2023 07:01:26 +0100

dovecot (1:2.3.19.1+dfsg1-2) unstable; urgency=medium

  [ Christian Göttsche ]
  * [281fb2c] d/patches: cherry-pick fix for CVE-2022-30550 (Closes: #1016351)
  * [9c58e71] d/patches: fix uninitialized read in doveadm-oldstats
  * [a76a24d] d/control: bump to standards version 4.6.1 (no further changes)
  * [4aaaa8b] Update Lintian overrides

 -- Noah Meyerhans <noahm@debian.org>  Fri, 29 Jul 2022 19:58:28 -0700

dovecot (1:2.3.19.1+dfsg1-1) unstable; urgency=medium

  [ Christian Göttsche ]
  * [e40f93f] d/patches: avoid usage of PATH_MAX not available on hurd
  * [19e00cd] d/rules: enable backtrace generation
  * [5bf1c43] d/patches: debug flaky unit test

  [ Noah Meyerhans ]
  * [b73422f] New upstream version 2.3.19.1+dfsg1
  * [c88bfc0] Update changelog for 1:2.3.19.1+dfsg1-1 release
  * [ca59548] Update lintian overrides
  * [d6406c2] d/copyright: update declarations for current maintainers

 -- Noah Meyerhans <noahm@debian.org>  Wed, 22 Jun 2022 09:27:01 -0700

dovecot (1:2.3.19+dfsg1-1) unstable; urgency=medium

  [ Christian Göttsche ]
  * [0d29e45] d/rules: enable LTO via DEB_BUILD_MAINT_OPTIONS instead of custom flags
  * [560cceb] d/source/lintian-overrides: update very-long-line-length-in-source-file overrides
  * [b99d09e] d/copyright: update years
  * [9ee8271] d/dovecot-core.prerm: drop as superseded by debhelper
  * [907f85c] d/maintscripts: update
  * [2b38240] d/dovecot-core.postinst: drop support for version skips
  * [dcb76d1] d/dovecot-core.postinst: only link certs if existent (Closes: #1009872)
  * [d223bbd] d/patches: add patch to support openssl 3.0 (Closes: #996273)

  [ Noah Meyerhans ]
  * [9f3175e] New upstream version 2.3.19+dfsg1

 -- Noah Meyerhans <noahm@debian.org>  Sun, 05 Jun 2022 18:29:18 +0000

dovecot (1:2.3.18+dfsg1-1) unstable; urgency=medium

  [ Noah Meyerhans ]
  * [36966c8] New upstream version 2.3.18+dfsg1
  * [042bda4] Refresh patches for 1:2.3.18+dfsg1-1

 -- "Noah Meyerhans" <noahm@debian.org>  Thu, 10 Feb 2022 20:05:50 +0000

dovecot (1:2.3.17.1+dfsg1-1) unstable; urgency=medium

  [ Christian Göttsche ]
  * [40b0010] New upstream version 2.3.17+dfsg1
  * [3c377e0] New upstream version 2.3.17.1+dfsg1
  * [e2f1ce2] d/patches: rebase and drop upstream applied ones
  * [533b7ad] d/control: bump to standards version 4.6.0 (no further changes)
  * [02ed6cf] debian: reduce Lintian issues
  * [bb3ae48] d/salsa-ci.yml: skip cross build and do not fail on Lintian
    warnings
  * [bcda7e4] d/control: build against Lua 5.4
  * [9eed0dd] d/control: enable libunwind support on available archs
  * [1990699] d/patches: cherry-pick memory leak commit
  * [426df46] d/patches: cherry-pick imapsieve fix
  * [e3d0747] d/patches: add patch for LTO by avoiding unaligned access
    (Closes: #997513)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 14 Dec 2021 09:24:23 -0800
