=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dovecot
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dovecot Maintainers <dovecot@packages.debian.org>
+Maintainer: Dovecot Maintainers <dovecot@packages.debian.org>
 Uploaders: Jaldhar H. Vyas <jaldhar@debian.org>,
            Jelmer Vernooij <jelmer@debian.org>,
            Apollon Oikonomopoulos <apoikos@debian.org>,
@@ -19,7 +18,7 @@
                libexttextcat-dev,
                libicu-dev,
                libldap2-dev,
-               liblua5.3-dev,
+               liblua5.4-dev,
                liblz4-dev,
                liblzma-dev,
                libpam0g-dev,
@@ -30,12 +29,13 @@
                libssl-dev,
                libstemmer-dev,
                libsystemd-dev [linux-any],
+               libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
                libwrap0-dev,
                libzstd-dev,
                lsb-release,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: binary-targets
 Homepage: https://dovecot.org/
 Vcs-Git: https://salsa.debian.org/debian/dovecot.git
@@ -292,4 +292,3 @@
 Description: secure POP3/IMAP server - Lua authentication plugin
  Dovecot is a mail server whose major goals are security and extreme
  reliability. It tries very hard to handle all error conditions and verify
- that all data is valid, making it nearly impossible to crash. It supports
