=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 SHELL=/bin/bash -O extglob
 PIGEONHOLE_DIR=$(CURDIR)/pigeonhole
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=-lto
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto
 
 # LP: 1636781 - strip incompatible default linker option
 ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
@@ -20,14 +20,10 @@
 # Ensure that stacktrace generation works:
 DOV_DEB_LDFLAGS += -rdynamic
 include /usr/share/dpkg/architecture.mk
-ifneq ($(filter armel armhf mips64el mipsel, $(DEB_HOST_ARCH)),)
+ifneq ($(filter armel armhf hppa mips64el mipsel riscv64 sparc64, $(DEB_HOST_ARCH)),)
   DOV_DEB_CFLAGS += -funwind-tables
+  DOV_DEB_CXXFLAGS += -funwind-tables
 endif
-
-# Disable LTO (See Debian bug #997513)
-#DOV_DEB_CFLAGS += -flto
-#DOV_DEB_CXXFLAGS += -flto
-#DOV_DEB_LDFLAGS += -flto
 
 export DEB_CFLAGS_MAINT_APPEND = $(DOV_DEB_CFLAGS)
 export DEB_CXXFLAGS_MAINT_APPEND = $(DOV_DEB_CXXFLAGS)
