## dovecot 2.3.20+dfsg1

=== debian/changelog ===
dovecot (1:2.3.20+dfsg1-1ubuntu3) mantic; urgency=medium

  * d/rules: -mbranch-protection=bti for arm64 architectures
   (LP: #2036268).

 -- Miriam España Acebal <miriam.espana@canonical.com>  Wed, 04 Oct 2023 16:33:20 +0200

dovecot (1:2.3.20+dfsg1-1ubuntu2) mantic; urgency=medium

  * d/control: Upgrade lua build dependency to 5.4

 -- Lena Voytek <lena.voytek@canonical.com>  Thu, 17 Aug 2023 09:45:33 -0700

dovecot (1:2.3.20+dfsg1-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2029440). Remaining changes:
    - d/control: Build against Lua 5.3 rather than 5.4.
      (LP #1909665)

 -- Bryce Harrington <bryce@canonical.com>  Fri, 04 Aug 2023 10:46:40 -0700

dovecot (1:2.3.20+dfsg1-1) unstable; urgency=medium

  [ Christian Göttsche ]
  * [fb2a5b7] d/rules: enable stack clash protection
  * [2666970] d/patches: bump _FORTIFY_SOURCE to level 3

  [ Noah Meyerhans ]
  * [eab5171] New upstream version 2.3.20+dfsg1
  * [d6135a4] Drop dependency on obsolete lsb-base package

 -- Noah Meyerhans <noahm@debian.org>  Sun, 25 Jun 2023 16:17:56 -0700

dovecot (1:2.3.19.1+dfsg1-2.1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018068). Remaining changes:
    - d/control: Build against Lua 5.3 rather than 5.4.
      (LP #1909665)
  * Dropped:
    - d/rules: Package references hidden symbols during an LTO link.
      This needs further investigation.  Until then, disable LTO.
      Disable Debian's recent enablement of LTO as well,
      as it FTBFS when building with gcc 11.
      (LP #1951325)
      [Fixed in upstream commit f0c1cf42]

 -- Bryce Harrington <bryce@canonical.com>  Fri, 19 May 2023 01:47:09 +0000

dovecot (1:2.3.19.1+dfsg1-2ubuntu4) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Feb 2023 07:33:52 -0500

dovecot (1:2.3.19.1+dfsg1-2ubuntu3) lunar; urgency=medium

  * No-change rebuild against libldap-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2022 19:46:57 +0000

dovecot (1:2.3.19.1+dfsg1-2ubuntu2) kinetic; urgency=medium

  * d/control: Build against Lua 5.3 rather than 5.4 for kinetic

 -- Bryce Harrington <bryce@canonical.com>  Fri, 12 Aug 2022 01:08:37 +0000

dovecot (1:2.3.19.1+dfsg1-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1971273). Remaining changes:
    - d/rules: Package references hidden symbols during an LTO link.
      This needs further investigation.  Until then, disable LTO.
      Disable Debian's recent enablement of LTO as well,
      as it FTBFS when building with gcc 11.
      (LP #1951325)
  * Dropped:
    - d/p/OpenSSL3.patch: Workaround to fix EC key handling when building
      with OpenSSL 3.0.
      (LP: #1945763)
      [Fixed in Debian release 1:2.3.19+dfsg1-1]
    - privilege escalation via multiple passdbs
      + d/p/CVE-2022-30550.patch: fix handling passdbs with
        identical driver/args but different mechanisms/username_filter in
        src/auth/auth-request.c, src/auth/auth.c, src/auth/auth.h,
        src/auth/passdb.c, src/auth/passdb.h.
      [Fixed in Debian release 1:2.3.19.1+dfsg1-2]

 -- Bryce Harrington <bryce@canonical.com>  Tue, 09 Aug 2022 23:02:29 -0700

dovecot (1:2.3.16+dfsg1-3ubuntu4) kinetic; urgency=medium

  * SECURITY UPDATE: privilege escalation via multiple passdbs
    - debian/patches/CVE-2022-30550.patch: fix handling passdbs with
      identical driver/args but different mechanisms/username_filter in
      src/auth/auth-request.c, src/auth/auth.c, src/auth/auth.h,
      src/auth/passdb.c, src/auth/passdb.h.
    - CVE-2022-30550

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 11 Jul 2022 10:21:41 -0400

dovecot (1:2.3.16+dfsg1-3ubuntu3) kinetic; urgency=medium

  * No-change rebuild against libicu71

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 30 Apr 2022 01:54:59 +0000
