=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dovecot
 Section: mail
 Priority: optional
-Maintainer: Dovecot Maintainers <dovecot@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dovecot Maintainers <dovecot@packages.debian.org>
 Uploaders: Jaldhar H. Vyas <jaldhar@debian.org>,
            Jelmer Vernooij <jelmer@debian.org>,
            Apollon Oikonomopoulos <apoikos@debian.org>,
@@ -46,7 +47,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: adduser,
          libpam-runtime,
-         lsb-base,
          openssl,
          ssl-cert,
          ucf,
@@ -291,4 +291,3 @@
 Depends: dovecot-core (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: secure POP3/IMAP server - Lua authentication plugin
  Dovecot is a mail server whose major goals are security and extreme
- reliability. It tries very hard to handle all error conditions and verify
