=== debian/rules ===
--- 
+++ 
@@ -25,10 +25,23 @@
   DOV_DEB_CXXFLAGS += -funwind-tables
 endif
 
+# Extra hardening flags
+DOV_DEB_CFLAGS += -fstack-clash-protection
+DOV_DEB_CXXFLAGS += -fstack-clash-protection
+DOV_DEB_LDFLAGS += -fstack-clash-protection
+
+
 export DEB_CFLAGS_MAINT_APPEND = $(DOV_DEB_CFLAGS)
 export DEB_CXXFLAGS_MAINT_APPEND = $(DOV_DEB_CXXFLAGS)
 export DEB_LDFLAGS_MAINT_APPEND = $(DOV_DEB_LDFLAGS)
 
+ifeq ($(DEB_HOST_ARCH), arm64)
+  export DEB_CFLAGS_MAINT_STRIP = -mbranch-protection=standard
+  export DEB_CXXFLAGS_MAINT_STRIP = -mbranch-protection=standard
+
+  export DEB_CFLAGS_MAINT_APPEND += -mbranch-protection=bti
+  export DEB_CXXFLAGS_MAINT_APPEND += -mbranch-protection=bti
+endif
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
   CONFIGURE_APPARMOR = --with-apparmor
