## dovecot 2.3.21+dfsg1

=== debian/changelog ===
dovecot (1:2.3.21+dfsg1-2ubuntu6.1) noble; urgency=medium

  * Update PBKDF2 salt length to be FIPS 140-3 compliant (LP: #2107773).

 -- Eric Berry <eric.berry@canonical.com>  Fri, 03 Oct 2025 15:37:20 -0700

dovecot (1:2.3.21+dfsg1-2ubuntu6) noble-security; urgency=medium

  * Patches for CVE-2024-23184, CVE-2024-23185 (LP: #2077324).
    - CVE-2024-23184: A large number of address headers in email resulted
      in excessive CPU usage.
      + d/p/CVE-2024-23184-1-lib-test-llist-Fix-dllist2-test-name.patch
      + d/p/CVE-2024-23184-2-lib-Add-DLLIST2_JOIN.patch
      + d/p/CVE-2024-23184-3-lib-mail-test-imap-envelope-Use-test_assert_idx-where-pos.patch
      + d/p/CVE-2024-23184-4-lib-mail-Change-message_address-to-be-doubly-linked-list.patch
      + d/p/CVE-2024-23184-5-lib-mail-Add-message_address_parse_full-and-struct-messag.patch
      + d/p/CVE-2024-23184-6-lib-mail-lib-imap-Optimize-parsing-large-number-of-addres.patch
    - CVE-2024-23185: Abnormally large email headers are now truncated or
      discarded, with a limit of 10MB on a single header and 50MB for all
      the headers of all the parts of an email.
      + d/p/CVE-2024-23185-1-lib-mail-message-header-parser-Limit-header-block-to-10MB.patch
      + d/p/CVE-2024-23185-2-lib-mail-message-parser-Limit-headers-total-count-to-50MB.patch
    For more information see the following articles:
    CVE-2024-23184 - https://www.openwall.com/lists/oss-security/2024/08/15/3
    CVE-2024-23185 - https://www.openwall.com/lists/oss-security/2024/08/15/4

 -- Mitchell Dzurick <mitchell.dzurick@canonical.com>  Mon, 26 Aug 2024 08:52:27 -0700

dovecot (1:2.3.21+dfsg1-2ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:49:22 +0000

dovecot (1:2.3.21+dfsg1-2ubuntu4) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:46:12 +0000

dovecot (1:2.3.21+dfsg1-2ubuntu3) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 09:22:26 +0000

dovecot (1:2.3.21+dfsg1-2ubuntu2) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 18:37:56 +0100

dovecot (1:2.3.21+dfsg1-2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040378). Remaining changes:
    - d/rules: set mbranch-protection=bti to avoid ftbfs.
      (LP #2036268)

 -- Bryce Harrington <bryce@canonical.com>  Mon, 13 Nov 2023 14:50:25 -0800

dovecot (1:2.3.21+dfsg1-2) unstable; urgency=medium

  [ Christian Göttsche ]
  * [a2fbc2f] split-protocols.patch: patch all-settings.c to successfully build twice (Closes: #1044797)

  [ Noah Meyerhans ]
  * [70e4426] Drop arm64 from libunwind builddep arch list

 -- Noah Meyerhans <noahm@debian.org>  Mon, 30 Oct 2023 13:40:35 -0700

dovecot (1:2.3.21+dfsg1-1) unstable; urgency=medium

  [ Noah Meyerhans ]
  * [753b4fe] Don't build the unmaintained lucene fts plugin (Closes: #1040884)
  * [5597486] New upstream version 2.3.21+dfsg1

  [ Christian Göttsche ]
  * [b8017f1] Cleanup temporary build files
  * [35e1afe] Silence prototype conflicts
  * [8dda8b9] Update Lintian overrides
  * [6bae82f] Bump to standards version 4.6.2 (no further changes)
  * [1f973d2] Mark hurd patch forwarded

 -- Noah Meyerhans <noahm@debian.org>  Sat, 14 Oct 2023 08:52:10 -0700
