=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
                libapparmor-dev [linux-any],
                libbz2-dev,
                libcap-dev [linux-any],
-               libclucene-dev,
                libdb-dev,
                libexpat-dev,
                libexttextcat-dev,
@@ -30,13 +29,13 @@
                libssl-dev,
                libstemmer-dev,
                libsystemd-dev [linux-any],
-               libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
+               libunwind-dev [amd64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
                libwrap0-dev,
                libzstd-dev,
                lsb-release,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: binary-targets
 Homepage: https://dovecot.org/
 Vcs-Git: https://salsa.debian.org/debian/dovecot.git
@@ -56,7 +55,6 @@
           dovecot-imapd,
           dovecot-ldap,
           dovecot-lmtpd,
-          dovecot-lucene,
           dovecot-managesieved,
           dovecot-mysql,
           dovecot-pgsql,
@@ -256,18 +254,6 @@
  .
  This package provides Solr full text search support for Dovecot.
 
-Package: dovecot-lucene
-Architecture: any
-Depends: dovecot-core (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Description: secure POP3/IMAP server - Lucene support
- Dovecot is a mail server whose major goals are security and extreme
- reliability. It tries very hard to handle all error conditions and verify
- that all data is valid, making it nearly impossible to crash. It supports
- mbox/Maildir and its own dbox/mdbox formats, and should also be pretty
- fast, extensible, and portable.
- .
- This package provides Lucene full text search support for Dovecot.
-
 Package: dovecot-submissiond
 Architecture: any
 Depends: dovecot-core (= ${binary:Version}),
@@ -291,3 +277,10 @@
 Depends: dovecot-core (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: secure POP3/IMAP server - Lua authentication plugin
  Dovecot is a mail server whose major goals are security and extreme
+ reliability. It tries very hard to handle all error conditions and verify
+ that all data is valid, making it nearly impossible to crash. It supports
+ mbox/Maildir and its own dbox/mdbox formats, and should also be pretty
+ fast, extensible, and portable.
+ .
+ This package contains an authentication plugin allowing password and user
+ databases to be implemented in Lua.
