=== debian/rules ===
--- 
+++ 
@@ -102,8 +102,6 @@
 	      usr/share/man/man1/sieve*
 
 solr_files = usr/lib/dovecot/modules/lib??_fts_solr_*
-
-lucene_files = usr/lib/dovecot/modules/lib??_fts_lucene_*
 
 dev_files = usr/include/* \
 	    usr/lib/dovecot/dovecot-config \
@@ -128,7 +126,7 @@
 	            --with-ioloop=best \
 		    --with-icu \
 	            --with-libwrap \
-	            --with-lucene \
+	            --without-lucene \
 		    $(CONFIGURE_APPARMOR) \
 		    --with-lz4 \
 		    --with-lua=plugin \
